<?php
/**
* Widget Functions.
*
* @package Agriculture Farm Lite
*/

function agriculture_farm_lite_widgets_init(){

	register_sidebar(array(
	    'name' => esc_html__('Main Sidebar', 'agriculture-farm-lite'),
	    'id' => 'sidebar-1',
	    'description' => esc_html__('Add widgets here.', 'agriculture-farm-lite'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));


    $agriculture_farm_lite_default = agriculture_farm_lite_get_default_theme_options();
    $agriculture_farm_lite_footer_column_layout = absint( get_theme_mod( 'agriculture_farm_lite_footer_column_layout',$agriculture_farm_lite_default['agriculture_farm_lite_footer_column_layout'] ) );

    for( $i = 0; $i < $agriculture_farm_lite_footer_column_layout; $i++ ){
    	
    	if( $i == 0 ){ $count = esc_html__('One','agriculture-farm-lite'); }
    	if( $i == 1 ){ $count = esc_html__('Two','agriculture-farm-lite'); }
    	if( $i == 2 ){ $count = esc_html__('Three','agriculture-farm-lite'); }

	    register_sidebar( array(
	        'name' => esc_html__('Footer Widget ', 'agriculture-farm-lite').$count,
	        'id' => 'agriculture-farm-lite-footer-widget-'.$i,
	        'description' => esc_html__('Add widgets here.', 'agriculture-farm-lite'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h2 class="widget-title">',
	        'after_title' => '</h2>',
	    ));
	}

}

add_action('widgets_init', 'agriculture_farm_lite_widgets_init');